Vous êtes ici dans : Documentation

SPIP 2.1.24 erreur 500

Si vous venez de mettre à jour SPIP vers la version 2.1.24, vous verrez probablement des erreurs 500 sur vos pages qui intègrent des formulaires. Il s’agit d’un bug connu qui va être résolu lors de la prochaine version de SPIP.

En attendant le correctif, vous pouvez appliquer le correctif décrit dans le SVN :
Révision 20969 et expliqué en détails ci-dessous :

  • ouvrir avec un éditeur de texte le fichier assembler.php situé dans le dossier ecrire/public/ (à partir de la racine de SPIP)
  • modifier la ligne 710
    • enlever @header($v ?"$k : $v" :$k) ;
    • ajouter @header(strlen($v) ?"$k : $v" :$k) ;
  • enregistrez vos modifications sur le serveur

Merci à la réactivité de l’équipe de SPIP !


 
Bientôt une nouvelle version du site Encore un peu de patience !